# margfools

Python script to replace [MargTools](https://businessconnect.margis.si/output/#orodja). Can be used to sign documents with [GovernmentConnect](https://margis.si/produkti/government-connect/).

## Usage

Create the configuration file `~/.margfools` with the paths to your TLS private key and certificate in PEM format:

    [https://gcsign.example.com/BCSign/]
    user-key = <path/to/key.pem>
    user-cert = <path/to/cert.pem>

Section name is the percent-decoded value of `baseURL` in

    bc-digsign://sign?accessToken=…&baseUrl=https%3a%2f%2fgcsign.example.com%2fBCSign%2f&…'

You can set `margfools` as the default program for `bc-digsign` URLs by copying the `margfools.desktop` file to `~/.local/share/applications/` and running

    xdg-mime default margfools.desktop x-scheme-handler/bc-digsign

or by setting the default application in your browser.
